
QGIS Application - Bug report #367

crash if the GRASS vector doesn't have the topology

2006-10-31 11:36 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10426

Description

1. add a GRASS vector

2. in GRASS: open it in v.digit (or do anything else to disable it's topology)

3. in QGIS: refresh the view, then try to remove this GRASS vector from layers list

4. crash

backtrace attached

History

#1 - 2006-10-31 11:38 AM - anonymous -

(gdb) run

Starting program: /usr/local/qgis08/bin/qgis

[Thread debugging using libthread_db enabled]

[New Thread -1239738688 (LWP 30830)]

[New Thread -1242674256 (LWP 30832)]

[Thread -1242674256 (LWP 30832) exited]

[New Thread -1251066960 (LWP 30833)]

[Thread -1251066960 (LWP 30833) exited]

[New Thread -1251066960 (LWP 30834)]

[[QgsGrass]]::vectors()

[[QgsGrass]]::vectors()

[[QgsGrass]]::vectors()

error_routine (fatal = 1): Cannot open old vector test_host@wlasnosc2 on level 2Cannot reopen GRASS vector: Cannot open old vector

test_host@wlasnosc2 on level 2

error_routine (fatal = 1): Category index is not up to date

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread -1239738688 (LWP 30830)]

0xb67096df in fclose () from /lib/tls/i686/cmov/libc.so.6

(gdb) bt

#0  0xb67096df in fclose () from /lib/tls/i686/cmov/libc.so.6

#3905  0xb4e4d3e1 in Vect_close (Map=0x82e0b78) at close.c:114

#3906  0xb4860886 in [[QgsGrassProvider]]::closeMap (mapId=137524200)

    at qgsgrassprovider.cpp:1184

#3907  0xb4860bb6 in [[QgsGrassProvider]]::closeLayer (layerId=0)

    at qgsgrassprovider.cpp:989

#3908  0xb4860d05 in ~QgsGrassProvider (this=0x827d6f8)
    at qgsgrassprovider.cpp:272

#3909  0xb6b1161e in ~QgsVectorLayer (this=0x827ea08) at qgsvectorlayer.cpp:170

#3910  0xb6a5ea47 in [[QgsMapLayerRegistry]]::removeMapLayer (this=0x823d770,

    theLayerId=@0xbf884624, theEmitSignal=true) at qgsmaplayerregistry.cpp:126

#3911  0xb7f1d87d in [[QgsLegend]]::legendLayerRemove (this=0x823f948)

    at qgslegend.cpp:618

#3912  0xb7f2de31 in [[QgsLegend]]::qt_metacall (this=0x823f948,

    _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbf884b7c)

    at qgslegend.moc.cpp:108

#3913  0xb7db84ba in QMetaObject::activate ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtCore.so.4

#10 0xb7db86f3 in QMetaObject::activate ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtCore.so.4

#3914 0xb75ad539 in QAction::triggered ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3915 0xb75adee3 in QAction::activate ()

---Type <return> to continue, or q <return> to quit---

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3916 0xb7812ee7 in QMenu::wheelEvent ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3917 0xb78166cf in QMenu::mouseReleaseEvent ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3918 0xb75f165c in QWidget::event ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3919 0xb7810107 in QMenu::event ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3920 0xb75b1c95 in QApplicationPrivate::notify_helper ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3921 0xb75b3b8a in QApplication::notify ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3922 0xb7605175 in QApplication::x11ProcessEvent ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3923 0xb7603e68 in QApplication::x11ProcessEvent ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3924 0xb7615ca5 in non-virtual thunk to QDesktopWidget::~QDesktopWidget() ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3925 0xb7daa21e in QEventLoop::processEvents ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtCore.so.4

#3926 0xb7daa43a in QEventLoop::exec ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtCore.so.4

---Type <return> to continue, or q <return> to quit---

#3927 0xb7814921 in QMenu::exec ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3928 0xb7f21124 in [[QgsLegend]]::handleRightClickEvent (this=0x823f948,

    item=0x83566a0, position=@0xbf885fbc) at qgslegend.cpp:473

#3929 0xb7f228ad in [[QgsLegend]]::mousePressEvent (this=0x823f948, e=0xbf885fa4)

    at qgslegend.cpp:178

#3930 0xb75f1675 in QWidget::event ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3931 0xb77e6c84 in QFrame::event ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3932 0xb785bdf4 in QAbstractScrollArea::viewportEvent ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4
#3933 0xb78aeec9 in QAbstractItemView::viewportEvent ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3934 0xb785ac15 in QAbstractScrollArea::minimumSizeHint ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3935 0xb75b1c95 in QApplicationPrivate::notify_helper ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3936 0xb75b3b8a in QApplication::notify ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3937 0xb760479d in QApplication::x11ProcessEvent ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3938 0xb7603e68 in QApplication::x11ProcessEvent ()

---Type <return> to continue, or q <return> to quit---

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#36 0xb7615ca5 in non-virtual thunk to QDesktopWidget::~QDesktopWidget() ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#37 0xb7daa21e in QEventLoop::processEvents ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtCore.so.4

#38 0xb7daa43a in QEventLoop::exec ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtCore.so.4

#39 0xb7dad217 in QCoreApplication::exec ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtCore.so.4

#40 0xb75b1a35 in QApplication::exec ()

   from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#41 0x0804c45d in main (argc=1, argv=0xbf886704) at main.cpp:609

(gdb)

#2 - 2006-11-09 08:40 AM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in revision 6066.

Radim

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
